> ## Documentation Index
> Fetch the complete documentation index at: https://kb.talostrading.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Available markets

> Returns a list of available markets along with time ranges of available data.



## OpenAPI

````yaml /coinmetrics/openapi/coinmetrics.yaml get /catalog/markets
openapi: 3.0.2
info:
  title: Coin Metrics API v4
  description: >-
    [Coin Metrics Homepage](https://coinmetrics.io/)<br/> [API Backward
    Compatibility
    Policy](https://docs.coinmetrics.io/access-our-data/api#backward-compatibility)<br/>
    [Python API
    Client](https://coinmetrics.github.io/api-client-python/site/index.html)<br/><br/>

    HTTP API root endpoint URL is `https://api.coinmetrics.io/v4`. Coin
    Metrics&apos; paid product.<br/> WebSocket API root endpoint is
    `wss://api.coinmetrics.io/v4`. Coin Metrics&apos; paid product.<br/><br/>
    The Community HTTP API root endpoint URL is
    `https://community-api.coinmetrics.io/v4`. API key is not required when
    accessing community endpoints. Available to the community under the
    [Creative Commons](https://creativecommons.org/licenses/by-nc/4.0/) license.

    # Authentication

    <!-- ReDoc-Inject: <security-definitions> -->

    # Response headers

    Note that Coin Metrics API responses have a `CF-RAY` HTTP header e.g.
    `88a6ec1d2f930774-IAD` which can be used for diagnostic purposes. When
    raising Support requests, please ensure to provide the value of this
    header. 
  termsOfService: https://coinmetrics.io/api/terms
  contact:
    name: Coin Metrics Support
    url: https://coinmetrics.io/support/
    email: support@coinmetrics.io
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: 4.0.0
servers:
  - url: https://api.coinmetrics.io/v4
  - url: wss://api.coinmetrics.io/v4
  - url: https://community-api.coinmetrics.io/v4
security: []
tags:
  - name: Rate limits
    description: >-
      To ensure the quality of Coin Metrics services, API is subject to rate
      limiting.<br/> <table> <tr><th>Rate Limit Plan</th><th>REST API: Requests
      per Second (sliding window)</th><th>REST API: Download Speed</th><th>REST
      API: Max Parallel Requests</th><th>WebSocket API: Max Parallel
      Connections</th></tr> <tr><td>Community</td><td>10 requests per 6 seconds
      per IP address</td><td>Reduced speed</td><td>10</td><td>N/A</td></tr>
      <tr><td>Trial</td><td>10 requests per 6 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> <tr><td>Default (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Standard
      speed</td><td>10</td><td>200</td></tr> <tr><td>Download (PRO)</td><td>6000
      requests per 20 seconds per API key</td><td>Max
      speed</td><td>10</td><td>200</td></tr> </table> <br/> All PRO keys by
      default get the "default" rate limits. To download historical data at max
      speed, you need to switch to the "download" plan. <br/> <br/> The paid and
      community versions of the API have a limit of 10 parallel REST API
      requests. After this limit is reached, further parallel requests will be
      queued, so performance will be slower.<br/> <br/> If you reach the
      request-per-second limit, API starts to return `429 Too Many Requests`
      HTTP response status.<br/> API also provides `X-RateLimit-*` response
      headers formatted according to
      https://tools.ietf.org/html/draft-polli-ratelimit-headers-03.<br/>
      Additionally, the API provides the `X-RateLimit-Plan` header which
      indicates the current rate limiting plan. This header may have values:
      `default`, `trial`, `download`, or `community`.
    x-cm-gitbook:
      foldIntoInfo: true
  - name: Reference Data
    description: Metadata information of entities supported by Coin Metrics.
    x-cm-gitbook:
      tag: Meta Data
      icon: book
  - name: Catalog
    x-displayName: Catalog (deprecated)
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full
      catalog](#tag/Full-catalog) endpoints for the full list of supported by
      Coin Metrics data. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Catalog v2
    description: >-
      Catalog of available for your `api_key` data.<br/> Use the [Full catalog
      V2](#tag/Full-catalog-v2) endpoints for the full list of supported by Coin
      Metrics data.
    x-cm-gitbook:
      icon: list-check
  - name: Full catalog
    x-displayName: Full catalog (deprecated)
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog) endpoint. <br/>DEPRECATED: See
      https://coinmetrics.io/important-changes-to-coin-metrics-api-catalog-endpoints/.
    x-cm-gitbook:
      remove: true
  - name: Full catalog v2
    description: >-
      The Full catalog returns the full range of data that is supported by Coin
      Metrics across all our products.<br/> If you are a client looking to
      understand the data that is available for your API key and data license,
      please use the [Catalog](#tag/Catalog-v2) endpoint.
    x-cm-gitbook:
      tag: Catalog v2
      icon: layer-group
  - name: Timeseries
    description: >-
      Endpoints for fetching metrics, market data, indexes and other time series
      data.
    x-cm-gitbook:
      icon: chart-line
      renameOperationsTo: Timeseries REST
  - name: Timeseries stream
    description: >-
      WebSocket endpoints for getting a real-time stream of metrics, market
      data, indexes and other time series data.
    x-cm-gitbook:
      tag: Timeseries
      icon: wifi
  - name: Taxonomy
    description: Taxonomy endpoints
    x-cm-gitbook:
      icon: sitemap
  - name: Taxonomy Metadata
    description: Taxonomy Metadata endpoints
    x-cm-gitbook:
      tag: Taxonomy
      icon: tags
  - name: Profile
    description: Profile endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: id-card
  - name: List of blockchain entities v2
    description: Endpoints for fetching lists of blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: list
  - name: Full blockchain entities v2
    description: Endpoints for fetching full blockchain entities.
    x-cm-gitbook:
      tag: List of blockchain entities v2
      icon: database
  - name: Jobs
    description: Jobs API endpoints
    x-cm-gitbook:
      tag: ATLAS
      icon: briefcase
  - name: Blockchain Explorer Job
    description: Endpoints for creating async jobs for blockchain entities.
    x-cm-gitbook:
      tag: ATLAS
      icon: clock
  - name: Blockchain Explorer Job Results
    description: Schema definitions of results of Blockchain Explorer Job endpoints.
    x-cm-gitbook:
      foldInto: Blockchain Explorer Job
  - name: Chain Monitor tools
    description: Endpoints for working with chain monitor data.
    x-cm-gitbook:
      tag: ATLAS
      icon: wrench
  - name: Security Master
    description: Security Master endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: shield
  - name: Constituent Snapshots
    description: Endpoints for getting the snapshots of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: camera
  - name: Constituent Timeframes
    description: Endpoints for getting the timeframes of various constituents
    x-cm-gitbook:
      tag: Meta Data
      icon: calendar
  - name: Blockchain Metadata
    description: Blockchain metadata endpoints
    x-cm-gitbook:
      tag: Meta Data
      icon: database
  - name: Meta Data
    x-cm-gitbook:
      icon: database
  - name: ATLAS
    x-cm-gitbook:
      icon: map
  - name: Timeseries REST
    x-cm-gitbook:
      tag: Timeseries
      icon: table
paths:
  /catalog/markets:
    servers:
      - url: https://api.coinmetrics.io/v4
      - url: https://community-api.coinmetrics.io/v4
    get:
      tags:
        - Catalog
      summary: Available markets
      description: >-
        Returns a list of available markets along with time ranges of available
        data.
      operationId: getCatalogMarkets
      parameters:
        - $ref: '#/components/parameters/CatalogMarketId'
        - $ref: '#/components/parameters/Exchange'
        - $ref: '#/components/parameters/MarketType'
        - $ref: '#/components/parameters/MarketBase'
        - $ref: '#/components/parameters/MarketQuote'
        - $ref: '#/components/parameters/MarketAsset'
        - $ref: '#/components/parameters/MarketSymbol'
        - $ref: '#/components/parameters/CatalogMarketIncludeFields'
        - $ref: '#/components/parameters/CatalogMarketExcludeFields'
        - $ref: '#/components/parameters/CatalogResponseFormat'
        - $ref: '#/components/parameters/CatalogMarketLimit'
        - $ref: '#/components/parameters/Pretty'
      responses:
        '200':
          $ref: '#/components/responses/Markets'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '414':
          $ref: '#/components/responses/UriTooLong'
      deprecated: true
      security:
        - api_key: []
      x-codeSamples:
        - lang: Shell
          label: Shell
          source: >
            curl --compressed
            "https://api.coinmetrics.io/v4/catalog/markets?pretty=true&api_key=<your_key>"
        - lang: Python
          label: Python
          source: >
            import requests

            response =
            requests.get('https://api.coinmetrics.io/v4/catalog/markets?pretty=true&api_key=<your_key>').json()

            print(response)
components:
  parameters:
    CatalogMarketId:
      description: Comma separated list of markets. By default all markets are returned.
      in: query
      name: markets
      schema:
        type: array
        items:
          type: string
      explode: false
    Exchange:
      description: Unique name of an exchange.
      in: query
      name: exchange
      schema:
        type: string
    MarketType:
      description: Return markets of the specified instrument type.
      in: query
      name: type
      schema:
        enum:
          - spot
          - future
          - option
        type: string
    MarketBase:
      description: Base asset of markets.
      in: query
      name: base
      schema:
        type: string
    MarketQuote:
      description: Quote asset of markets.
      in: query
      name: quote
      schema:
        type: string
    MarketAsset:
      description: Any asset of markets.
      in: query
      name: asset
      schema:
        type: string
    MarketSymbol:
      description: Symbol of derivative markets, full instrument name.
      in: query
      name: symbol
      schema:
        type: string
    CatalogMarketIncludeFields:
      description: >-
        Comma separated list of fields to include in response. Supported values
        are `trades`, `orderbooks`, `quotes`, `funding_rates`, `openinterest`,
        `liquidations`. Included by default if omitted.
      in: query
      name: include
      schema:
        type: array
        items:
          type: string
      explode: false
    CatalogMarketExcludeFields:
      description: >-
        Comma separated list of fields to exclude from response. Supported
        values are `trades`, `orderbooks`, `quotes`, `funding_rates`,
        `openinterest`, `liquidations`. Included by default if omitted.
      in: query
      name: exclude
      schema:
        type: array
        items:
          type: string
      explode: false
    CatalogResponseFormat:
      description: Format of the response. Supported values are `json`, `json_stream`.
      in: query
      name: format
      schema:
        type: string
        default: json
    CatalogMarketLimit:
      description: Limit of response items. `none` means no limit. Maximum value is 100.
      in: query
      name: limit
      schema:
        type: string
        default: none
    Pretty:
      description: Human-readable formatting of JSON responses.
      in: query
      name: pretty
      schema:
        type: boolean
        default: false
  responses:
    Markets:
      description: List of markets.
      content:
        application/json:
          example:
            data:
              - market: binance-btc-usdt-spot
                min_time: '2017-08-17T04:00:32.285000000Z'
                max_time: '2022-08-22T14:19:01.239000000Z'
                exchange: binance
                type: spot
                trades:
                  min_time: '2017-08-17T04:00:32.285000000Z'
                  max_time: '2022-08-22T14:19:01.239000000Z'
                orderbooks:
                  min_time: '2021-08-03T16:00:00.000000000Z'
                  max_time: '2022-08-22T14:18:50.000000000Z'
                quotes:
                  min_time: '2021-08-03T16:00:00.000000000Z'
                  max_time: '2022-08-22T14:18:50.000000000Z'
                base: btc
                quote: usdt
                status: online
                order_amount_increment: '0.00000001'
                order_amount_size_min: '0.0001'
                order_amount_size_max: '100'
                order_price_increment: '0.01'
                order_price_min: '0.1'
                order_price_max: '100000'
                order_size_min: '0.0001'
                order_taker_fee: '0.002'
                order_maker_fee: '0.002'
                margin_trading_enabled: true
              - market: bitfinex-btc-usdt-spot
                min_time: '2019-03-11T10:05:37.974000000Z'
                max_time: '2022-08-22T14:18:50.000000000Z'
                exchange: bitfinex
                type: spot
                trades:
                  min_time: '2019-03-11T10:05:37.974000000Z'
                  max_time: '2022-08-22T14:18:46.665000000Z'
                orderbooks:
                  min_time: '2021-08-20T13:00:00.000000000Z'
                  max_time: '2022-08-22T14:18:50.000000000Z'
                quotes:
                  min_time: '2021-08-20T13:00:00.000000000Z'
                  max_time: '2022-08-22T14:18:50.000000000Z'
                base: btc
                quote: usdt
                status: online
                order_amount_increment: '0.00000001'
                order_amount_size_min: '0.0001'
                order_price_increment: '0.01'
                order_price_order_min: '0.1'
                order_size_min: '0.0001'
                order_taker_fee: '0.002'
                order_maker_fee: '0.002'
                margin_trading_enabled: false
          schema:
            $ref: '#/components/schemas/MarketsResponse'
    Unauthorized:
      description: Requested resource requires authorization.
      content:
        application/json:
          examples:
            unauthorized:
              summary: Unauthorized error response.
              value:
                error:
                  type: unauthorized
                  message: Requested resource requires authorization.
            wrong_credentials:
              summary: Wrong credentials error response.
              value:
                error:
                  type: wrong_credentials
                  message: Supplied credentials are not valid.
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    UriTooLong:
      description: Provided URI is too long. It must not be greater than 10000 symbols.
  schemas:
    MarketsResponse:
      description: List of markets.
      properties:
        data:
          items:
            $ref: '#/components/schemas/MarketInfo'
          type: array
      required:
        - data
      type: object
    ErrorResponse:
      properties:
        error:
          $ref: '#/components/schemas/ErrorObject'
      required:
        - error
      type: object
    MarketInfo:
      description: Information about a market.
      properties:
        market:
          $ref: '#/components/schemas/MarketId'
        min_time:
          $ref: '#/components/schemas/MinTime'
        max_time:
          $ref: '#/components/schemas/MaxTime'
        trades:
          $ref: '#/components/schemas/MarketTimeRange'
        orderbooks:
          $ref: '#/components/schemas/MarketTimeRange'
        quotes:
          $ref: '#/components/schemas/MarketTimeRange'
        funding_rates:
          $ref: '#/components/schemas/MarketTimeRange'
        openinterest:
          $ref: '#/components/schemas/MarketTimeRange'
        liquidations:
          $ref: '#/components/schemas/MarketTimeRange'
        exchange:
          $ref: '#/components/schemas/Exchange'
        base:
          $ref: '#/components/schemas/AssetIdBase'
        quote:
          $ref: '#/components/schemas/AssetIdQuote'
        symbol:
          $ref: '#/components/schemas/MarketSymbol'
        type:
          $ref: '#/components/schemas/MarketType'
        size_asset:
          $ref: '#/components/schemas/DerivativeContractSizeAsset'
        margin_asset:
          $ref: '#/components/schemas/DerivativeContractMarginAsset'
        strike:
          $ref: '#/components/schemas/OptionStrike'
        option_contract_type:
          $ref: '#/components/schemas/OptionContractType'
        is_european:
          $ref: '#/components/schemas/IsEuropean'
        contract_size:
          $ref: '#/components/schemas/MarketContractSize'
        tick_size:
          $ref: '#/components/schemas/FutureTickSize'
        listing:
          $ref: '#/components/schemas/DerivativeContractListing'
        expiration:
          $ref: '#/components/schemas/DerivativeContractExpiration'
        settlement_price:
          $ref: '#/components/schemas/SettlementPrice'
        pool_config_id:
          $ref: '#/components/schemas/DefiPoolConfigId'
        contract_address:
          $ref: '#/components/schemas/DefiContractAddress'
        fee:
          $ref: '#/components/schemas/DefiFee'
        base_address:
          $ref: '#/components/schemas/DefiBaseAddress'
        quote_address:
          $ref: '#/components/schemas/DefiQuoteAddress'
        status:
          $ref: '#/components/schemas/Status'
        order_amount_increment:
          $ref: '#/components/schemas/OrderAmountIncrement'
        order_amount_min:
          $ref: '#/components/schemas/OrderAmountMin'
        order_amount_max:
          $ref: '#/components/schemas/OrderAmountMax'
        order_price_increment:
          $ref: '#/components/schemas/OrderPriceIncrement'
        order_price_min:
          $ref: '#/components/schemas/OrderPriceMin'
        order_price_max:
          $ref: '#/components/schemas/OrderPriceMax'
        order_size_min:
          $ref: '#/components/schemas/OrderSizeMin'
        order_taker_fee:
          $ref: '#/components/schemas/OrderTakerFee'
        order_maker_fee:
          $ref: '#/components/schemas/OrderMakerFee'
        margin_trading_enabled:
          $ref: '#/components/schemas/MarginTradingEnabled'
        experimental:
          $ref: '#/components/schemas/ExperimentalMarket'
      type: object
      required:
        - market
        - min_time
        - max_time
        - exchange
        - type
    ErrorObject:
      properties:
        type:
          description: Error type string. Can be used for error identification.
          type: string
        message:
          description: >-
            Human-friendly error description. Can be amended without prior
            notification. Do not use for error identification in your code.
          type: string
      required:
        - type
        - description
      type: object
    MarketId:
      description: Unique name of the market.
      type: string
    MinTime:
      description: Minimal available time for time series.
      type: string
      format: date-time
    MaxTime:
      description: Maximal available time for time series.
      type: string
      format: date-time
    MarketTimeRange:
      description: Available time range for time series.
      properties:
        min_time:
          $ref: '#/components/schemas/MinTime'
        max_time:
          $ref: '#/components/schemas/MaxTime'
      type: object
      required:
        - min_time
        - max_time
    Exchange:
      description: Name of the exchange.
      type: string
    AssetIdBase:
      description: Unique name of the base asset.
      type: string
    AssetIdQuote:
      description: Unique name of the quote asset.
      type: string
    MarketSymbol:
      description: Unique name of the derivative market symbol.
      type: string
    MarketType:
      description: Type of the market (spot, future).
      type: string
    DerivativeContractSizeAsset:
      description: Name of the derivative contract size asset.
      type: string
    DerivativeContractMarginAsset:
      description: Name of the derivative margin asset.
      type: string
    OptionStrike:
      description: Strike price for option trade.
      type: string
      format: decimal
    OptionContractType:
      description: '''call or ''put'' option contract type.'
      type: string
    IsEuropean:
      description: shows if the options contract is european or not.
      type: boolean
    MarketContractSize:
      description: Market contract size.
      type: string
      format: decimal
    FutureTickSize:
      description: Futures tick size.
      type: string
      format: decimal
    DerivativeContractListing:
      description: Derivative contract listing date.
      type: string
      format: date-time
    DerivativeContractExpiration:
      description: Derivative contract expiration date.
      type: string
      format: date-time
    SettlementPrice:
      description: Price of underlying asset at contract expiration.
      type: string
      format: decimal
    DefiPoolConfigId:
      description: DeFi pooling config ID.
      type: string
    DefiContractAddress:
      description: DeFi contract address.
      type: string
    DefiFee:
      description: DeFi fee (in percents).
      type: string
      format: decimal
    DefiBaseAddress:
      description: DeFi base address.
      type: string
    DefiQuoteAddress:
      description: DeFi quote address.
      type: string
    Status:
      description: Market status (online/offline).
      type: string
    OrderAmountIncrement:
      description: Volume precision.
      type: string
      format: decimal
    OrderAmountMin:
      description: Minimum amount size.
      type: string
      format: decimal
    OrderAmountMax:
      description: Maximum amount size.
      type: string
      format: decimal
    OrderPriceIncrement:
      description: Price precision.
      type: string
      format: decimal
    OrderPriceMin:
      description: Minimum price.
      type: string
      format: decimal
    OrderPriceMax:
      description: Maximum price.
      type: string
      format: decimal
    OrderSizeMin:
      description: Minimum order size, where order size is amount * price.
      type: string
      format: decimal
    OrderTakerFee:
      type: string
      format: decimal
    OrderMakerFee:
      type: string
      format: decimal
    MarginTradingEnabled:
      type: boolean
    ExperimentalMarket:
      description: >-
        If set to true, indicates that market collection is under active
        development - there is a chance of temporary discrepancies in the served
        dataset.
      type: boolean
  securitySchemes:
    api_key:
      description: Coin Metrics API key can be specified as `?api_key=` query parameter.
      in: query
      name: api_key
      type: apiKey

````